For the complete documentation index, see llms.txt. This page is also available as Markdown.

Properties

Get Property Groups

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
Responses
200Success
application/json
totalintegerOptionalExample: 50
get/properties/groups
200Success

Get Properties

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
propertystringOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
customreferencestringOptional

Comma separated property custom references

Example: CustomReference1,CustomReference2
Responses
200Success
application/json
totalintegerOptionalExample: 9250
get/properties
200Success

Create Property

post
  • Triggers the property webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Body
namestringRequired
parentstring · UID · nullableOptional

Parent property or property group ID. If null is provided, the property will be created in a property group called "Created by API"

customReferencestringOptional
skipWebhookbooleanOptionalDefault: false
Responses
200Success
application/json
idstring · UIDOptionalExample: yok0w80s0sckwwgo0c8sko4o
post/properties

Get Property Tree

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Responses
200Success
application/json
get/properties/tree
200Success

Update Property

patch

Update a property's name and address.

  • Triggers the property webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
Body
namestringOptional
customReferencestringOptional
skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/properties/{propertyId}

Move Property

patch

Move a property to a different position in the property tree; either below a property group or another property.

  • Triggers the property webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
Body
parentstring · UIDRequired

Parent property or property group ID

skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/properties/{propertyId}/parent

Get Property Team Users

get

Get a list of users responsible for teams for all properties in your organisation.

  • Responsible users are auto-assigned to tasks that are assigned to their team.

  • Users are automatically given access to properties they are responsible for.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
propertystring · UIDOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
userstring · UIDOptional

Comma separated user IDs

Example: cksq4xkxh012173wh9agrq0iz
includeinheritedbooleanOptional

Responsibility is inherited down the property tree. By default this endpoint will list responsbility which has been set explicitly. Set this to true to include inherited responsibility.

Default: falseExample: true
Responses
200Success
application/json
get/properties/teamusers
200Success

Add Property Team Users

patch

Set which users are responsible for teams at this property.

  • Users are added as members of the team if they aren't already. Triggers the team webhook if users are added to the team.

  • Invalid user IDs are silently ignored.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
Body
teamstring · UIDRequired
usersstring · UID[]Required
skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/properties/{propertyId}/teamusers/add

Remove Property Team Users

patch

Remove users as responsible for teams at this property.

  • Users are unassigned from any tasks they were auto-assigned to.

  • Invalid user IDs are silently ignored.

  • Users are not removed as members of the team.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertyIdstring · UIDRequired
Body
teamstring · UIDRequired
usersstring · UID[]Required
Responses
204Success
patch/properties/{propertyId}/teamusers/remove

Last updated

Was this helpful?